export interface Options {
    locale?: string;
    cacheLanguageResolution?: boolean;
}
export interface LocalizeInfo {
    key: string;
    comment: string[];
}
export interface LocalizeFunc {
    (info: LocalizeInfo, message: string, ...args: any[]): string;
    (key: string, message: string, ...args: any[]): string;
}
export interface LoadFunc {
    (file?: string): LocalizeFunc;
}
export declare enum ExtensionKind {
    prePackaged = 1,
    marketPlace = 2,
}
export declare type KeyInfo = string | LocalizeInfo;
export declare function loadMessageBundle(file?: string): LocalizeFunc;
export declare function config(): LoadFunc;
export declare function config(opt: Options): LoadFunc;
export declare function config(opt: string): LoadFunc;
export declare function config(opt: Options, root: string, outDir: string): LoadFunc;
export declare function config(opt: string, root: string, outDir: string): LoadFunc;
export declare function config(opt: string, kind: ExtensionKind.prePackaged, root: string, outDir?: string): LoadFunc;
export declare function config(opt: string, kind: ExtensionKind.marketPlace, root: string, outDir: string): LoadFunc;
